
Redmine - Defect #35308

"Add news" button on global news index is displayed for users without permissions

2021-05-25 11:36 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: News Estimated time: 0.00 hour

Target version: 4.2.2   

Resolution: Fixed Affected version: 4.2.0

Description

"Add news" button on the global news index is always displayed even if the current user does not have the necessary permission to

add a news article. The issue is due to #33167.

The issue was reported by Alexander Meindl in #2414#note-10.

Related issues:

Related to Redmine - Feature #33167: "Add news" button in cross-project News tab Closed

Associated revisions

Revision 21014 - 2021-05-29 08:44 - Go MAEDA

"Add news" button on global news index is displayed for users without permission (#35308).

Patch by Alexander Meindl and Mizuki ISHIKAWA.

Revision 21020 - 2021-06-02 02:36 - Go MAEDA

Merged r21014 from trunk to 4.2-stable (#35308).

History

#1 - 2021-05-25 11:38 - Go MAEDA

- Related to Feature #33167: "Add news" button in cross-project News tab added

#2 - 2021-05-25 11:40 - Go MAEDA

- Target version set to Candidate for next minor release

#3 - 2021-05-27 02:39 - Mizuki ISHIKAWA

- File add_test.patch added

I added a test to fix_add_news_button.patch.

#4 - 2021-05-27 09:59 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.2.2

Setting the target version to 4.2.2.

#5 - 2021-05-29 08:45 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you all for fixing the issue.

#6 - 2021-06-02 02:36 - Go MAEDA

- Status changed from Resolved to Closed
https://www.redmine.org/issues/33167
www.redmine.org/users/29628
https://www.redmine.org/issues/2414#note-10
https://www.redmine.org/attachments/27425


Files

fix_add_news_button.patch 790 Bytes 2021-05-25 Go MAEDA

add_test.patch 1.66 KB 2021-05-27 Mizuki ISHIKAWA
